Isolate and Unisolate an Asset

Use this API to isolate or unisolate and assets in bulk using tags or individual assets using asset IDs.  

You must have the Isolation Manager and Isolation User roles to use this API.

POST/isl/v1/assets/isolation/{action}

Input ParametersInput Parameters

Parameter Mandatory/
Optional
Data Type Description
action Mandatory String Specify the action. The values are isolate and unisolate.
platform Mandatory String Specify the platform type.
For example, Windows, Linux.
type Mandatory String

Specify the type. The values are tag or asset. 

ids Mandatory Array of String Specify the ids for the assets or tags.

Sample Isolate Assets with Asset Tags as inputSample Isolate Assets with Asset Tags as input

API Request

curl -X 'POST' \
  '<qualys_base_url>/isl/v1/assets/isolation/unisolate?platform=windows' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <JWT_Token>' \
  -H 'Content-Type: application/json' \
  -d '{
   "type": "tag",
  "ids": [
    "3963a26c-d3e7-4ea7-ba76-0a313d0ba7c7"
  ]
}'

API Response

{
 "compatibleCount": 1,
 "skippedAssets": [],
 "skippedCount": 0
}

Sample - Unisolate an Asset Not Activated for ISLSample - Unisolate an Asset Not Activated for ISL

API Request

curl -X 'POST' \
  '<qualys_base_url>/isl/v1/assets/isolation/unisolate?platform=windows' \
  -H 'accept: application/json' \
  -H 'Authorization: Bearer <JWT_Token>' \
  -H 'Content-Type: application/json' \
  -d '{
    "type""asset",
 "ids": [
    "3963a26c-d3e7-4ea7-ba76-0a313d0ba7c7"
 ]
}'

API Response

{
 "compatibleCount": 0,
 "skippedAssets": [
    {
      "reason""Asset not activated for ISL module",
      "id""3963a26c-d3e7-4ea7-ba76-0a313d0ba7c7"
    }
 ],
 "skippedCount": 1
}